from pydantic import BaseModel
from datetime import datetime

class Todo(BaseModel):
    time: str
    task: str
    recurring: bool

class TodoList(BaseModel):
    date: str #Always selected date OLD TEXT: #Either current date in %Y-%m-%d format or "recurring" for a recurring task
    todos: list[Todo]


class TodoDate(BaseModel):
    date: str
    # date: str = datetime.today().strftime('%Y-%m-%d')


class PrintAction(BaseModel):
    date: str = datetime.today().strftime('%Y-%m-%d')
    action: str #Options: 
                #   all (pulls current todos from date, needs date)
                #   sudoku (prints a random sudoku)
                #   todos (prints only dates todos)
                #   wordsearch (prints a random wordsearch)
                #   quote (prints a random quote)
                #   greeting (prints a greeting)
                #   sentence (prints a custom message)
    sentence: str = ""

class GoogleUpdate(BaseModel):
    code: str